# Capteur autonome Penn Avel

## Description du projet

Ce projet étudiant a été créé par IMT Atlantique dans le cadre de l'unité d'enseignement Projet d'ingénieur dans un monde en transitions (PRONTO). Il a pour objectif de rendre autonome le capteur de qualité de l'air Penn Avel. Ce capteur fonctionne actuellement sur secteur et est connecté au wifi. L'objectif est de le rendre autonome en énergie en utilisant un panneau solaire et une batterie. De plus, il est nécessaire de le rendre autonome en communication en utilisant le réseau LoRa.

## Description du repo GitLab

Ce repo contient l'ensemble des documents nécessaires à la réalisation du projet. Il est organisé de la manière suivante :

- *Capteur-autonome* : contient les fichiers de code liés au lot "Capteur autonome", qui consiste à réaliser un capteur Penn Avel autonome en énergie et en communication.

- *GW-custom* : contient les fichiers de code liés au lot "Gateway custom", qui consiste à réaliser une passerelle LoRa personnalisée pour le capteur Penn Avel, connectée au capteur par LoRaMAC et à Sensor Community par Wifi.

- *GW-V2* : contient les fichiers de code liés au lot "Gateway V2", qui consiste à réaliser une passerelle LoRa personnalisée pour le capteur Penn Avel, qui prend les données envoyées par le capteur sur TTN, qui qui les retransmet à Sensor Community.
